Package csb :: Package statistics :: Module mixtures :: Class AbstractStructureMixture

[frames] | no frames]

# Class AbstractStructureMixture

source code

         object --+
                  |
    GaussianMixture --+
                      |
                     AbstractStructureMixture

Known Subclasses:
  - ConformerMixture
  - , SegmentMixture

Abstract mixture model for protein structure ensembles.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__init__(self, X, K, *args, **kwargs) x.__init__(...) initializes x; see help(type(x)) for signature | source code

numpy array

datapoint(self, m, k) Training point number `m` as if it would belong to component `k` | source code

estimate_T(self) Estimate superpositions | source code

m_step(self) Maximization step for EM | source code

Inherited from `GaussianMixture`: `anneal`, `del_cache`, `e_step`, `em`, `estimate_means`, `estimate_scales`, `increment_K`, `overlap`, `randomize_means`, `randomize_scales` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Methods
Inherited from `GaussianMixture`: `new`, `series`

Class Variables
| __abstractmethods__ = ``frozenset([``'``estimate_T``'``])``
Inherited from `GaussianMixture`: `ALPHA_SIGMA`, `BETA_SIGMA`, `MIN_SIGMA`, `use_cache`

Properties
(M,K,3,3) numpy array | R Rotation matrices
(M,K,3) numpy array | t Translation vectors
Inherited from `GaussianMixture`: `BIC`, `K`, `M`, `N`, `delta`, `dimension`, `log_likelihood`, `log_likelihood_reduced`, `means`, `membership`, `scales`, `sigma`, `w` Inherited from `object`: `__class__`

Method Details

### __init__(self, X, K, *args, **kwargs)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `X` - multi dimensional input vector with samples along first axis
  - `K` - number of components
  - `train` - train model
  - `axis` - component axis in `X`
Overrides: object.__init__
  (inherited documentation)

### datapoint(self, m, k)

source code

Training point number `m` as if it would belong to component `k`

Returns: numpy array
Overrides: GaussianMixture.datapoint
  (inherited documentation)

### m_step(self)

source code

Maximization step for EM

Overrides: GaussianMixture.m_step
  (inherited documentation)

Property Details

### R

Rotation matrices

Get Method:
  unreachable.R(self) - Rotation matrices
Type:
  (M,K,3,3) numpy array

### t

Translation vectors

Get Method:
  unreachable.t(self) - Translation vectors
Type:
  (M,K,3) numpy array